:root {
  --bgdarker: #000;
  --bg: #111;
  --text: #FAFAFA;
}

html, body {
	overflow-x: hidden;
	background-color: var(--bg) !important;
	color: var(--text) !important;
	font-family: 'Lato', sans-serif !important;
	font-size: 20px;
}

nav {
	background-color: var(--bgdarker);
}

footer {
	background-color: var(--bgdark);

	width: 100%;
	text-align: center;
}

a {
	color: #C7CCFB !important;
	transition: color 0.25s ease;
}

a:hover {
	color: #5865F2 !important;
}

a.disabled {
	color: gray !important;
}

a.active {
	color: white !important;
}

p {
	margin-bottom: 0 !important;
}

.btn.btn-outline-patron {
    color: #FF5C50;
    border-color: #FF5C50;
}

.dark-text {
	color: #333;
}

.bold-text {
	font-weight: 700;
}

.btn-purple {
	color: #fff !important;
    background-color: #5865F2 !important;
    border-color: #5865F2 !important;
}

.btn-purple:hover {
	color: #fff !important;
    background-color: #3443ef !important;
    border-color: #3443ef !important;
}

.btn.btn-outline-patron:hover {
    color: white;
    background-color: #FF5C50;
}

.hero {
	margin: 0 !important;
	padding: 0 !important;
}

.container {
	max-width: 90% !important;
}

.content {
	padding: 1rem;
}

.card {
	background-color: var(--bgdarker) !important;
	padding: 1rem;
	border-radius: 2px !important;
}

.card-logo-margin {
	padding-bottom: 1rem;
}

.x-content {
	height: 50vh;
	min-height: 20rem;
	overflow-y: scroll;
}

.youtube-content, .twitch-content {
	height: 50vh;
	min-height: 20rem;
}

.project-content {
	height: 25vw;
	min-height: 10rem;
	background-repeat: no-repeat;
	background-size: 100%;
}

.sellingstuff {
	font-size: 1.5em;
	display: flex;
	justify-content: center;
}

.avatar-card {
	transition: 0.3s;
	border-radius: 25px;
	margin: 1em;
	padding: 1em;
}

.avatar-card:hover {
	-webkit-box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
	box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
}

.footer-left {
	padding: 1rem;
}

.footer-right {
	background-color: var(--bgdark);

	padding: 1rem;
	padding-bottom: 0em;
}

.social-icon {
	margin-right: 0.5em;
}

.shadow-top {
	-webkit-box-shadow: 0px -2px 10px 1px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px -2px 10px 1px rgba(0,0,0,0.75);
	box-shadow: 0px -2px 10px 1px rgba(0,0,0,0.75);
}

.shadow-bottom {
	-webkit-box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
	box-shadow: 0px 2px 10px 1px rgba(0,0,0,0.75);
}

.hero-gradient {
	background: linear-gradient(-45deg, #00FFFF80, #8080FF80, #FF00FF80);
	background-size: 200% 200%;
	-webkit-animation: Gradient 6.4s ease infinite;
	-moz-animation: Gradient 6.4s ease infinite;
	animation: Gradient 6.4s ease infinite;
}

.hero-solid {
	background: linear-gradient(90deg, #FAFAFA, #F1F1F1, #FAFAFA);
}

.white-solid {
	background: #FFF;
}

.twitter-gradient {
	background: linear-gradient(-45deg, #0080FF, #1DA1F2);
	border: none !important;
}

.x-gradient {
	background: #000;
	border: none !important;
}

.youtube-gradient {
	background: linear-gradient(-45deg, #FF0000, #FF0000, #FF0000);
	border: none !important;
}

.twitch-gradient {
	background: linear-gradient(-45deg, #8000FF, #9147FF);
	border: none !important;
}

#blink {
	display: inline-block;
	width: 0;
}

@-webkit-keyframes Gradient {
	0% {
		background-position: 0% 50%
	}
	50% {
		background-position: 100% 50%
	}
	100% {
		background-position: 0% 50%
	}
}

@-moz-keyframes Gradient {
	0% {
		background-position: 0% 50%
	}
	50% {
		background-position: 100% 50%
	}
	100% {
		background-position: 0% 50%
	}
}

@keyframes Gradient {
	0% {
		background-position: 0% 50%
	}
	50% {
		background-position: 100% 50%
	}
	100% {
		background-position: 0% 50%
	}
}

.hue-shift {
	animation: hueRotate 10s linear infinite;
	filter: hue-rotate(0deg);
}

@keyframes hueRotate {
	from {
		filter: hue-rotate(0deg);
	}
	to {
		filter: hue-rotate(360deg);
	}
}

.noselect {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}